nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   NVIDIA Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=14)
-   -   Will there be support for the 2.6 kernel soon? (http://www.nvnews.net/vbulletin/showthread.php?t=21743)

ShadesFox 12-02-03 04:42 AM

Will there be support for the 2.6 kernel soon?
 
The 2.6 kernel is nearing completion for stable release according to Linus on the kernel mailing list. So I was wondering if the devs were going to include offical support for 2.6 soon.

LBJM 12-02-03 12:54 PM

nvidia only supports kernels when they are released. you have to wait for 2.6.0 to be released.
LBJM

Sir_Brizz 12-02-03 11:45 PM

then why did they never support 2.4.22???

LordMorgul 12-03-03 02:19 AM

The drivers build on both 2.6 (with minion.de patch) and 2.4.22 (without any patch). It isn't necessary for them to build and release interfaces for every possible configuration, nor is it even feasible, which is probably why 2.4.22 doesn't receive any 'special' love. It builds, just get the sources prepared adequately first.

2.6 however, I would like to see fixed ASAP. It shouldn't be necessary for users to patch the driver.. but I am patient for the official release of the kernel version (pretty soon now, and possibly a factor in the lack of a new driver release).

Sir_Brizz 12-03-03 05:59 PM

Problem is that it DIDN'T work for me in 2.4.22, I had to patch it then also.

Merlyno 12-03-03 06:06 PM

Quote:

Originally posted by Sir_Brizz
Problem is that it DIDN'T work for me in 2.4.22, I had to patch it then also.
Also i have the same problem in mandrake 9.2 (kernel 2.4.22):rolleyes:

LordMorgul 12-03-03 06:30 PM

Have you guys tried the stock kernel rather than using Mandrake kernel source? When there are issues like that go to the stock kernel and determine if the problem lies in your distros kernel source. The driver has no problems with 2.4.22 on Fedora, the issue is what compiler is used, and configuration (perhaps hardware conflicts). But its not incompatibility with the kernel source (in this specific issue.. perhaps with Mandrake it IS)

LBJM 12-03-03 07:01 PM

Quote:

Originally posted by Sir_Brizz
then why did they never support 2.4.22???
report that to NVIDIA. I dont use the 2.4 series anymore myself 2.4.20 worked fine and that was the last one I tested and it worked. use a custom kernel the stock ones are always missing stuff. I've been using 2.5 soo long and now the 2.6 test kernels.


All times are GMT -5. The time now is 09:52 AM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.